Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.project
Class ProjectStatus

    java.lang.Object
      com.plumtree.remote.prc.collaboration.project.ProjectStatus

public class ProjectStatus
extends java.lang.Object

An enumerated type used to describe the status of projects. It is used in `IProject.get/setStatus` methods.

Field Summary
`static ProjectStatus` | `COMPLETED` 100% complete.
`static ProjectStatus` | `FIFTY_PERCENT_COMPLETED` 50% complete.
`static ProjectStatus` | `NOT_STARTED` 0% complete.
`static ProjectStatus` | `SEVENTY_FIVE_PERCENT_COMPLETED` 75% complete.
`static ProjectStatus` | `TWENTY_FIVE_PERCENT_COMPLETED` 25% complete.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_STARTED

    public static final ProjectStatus NOT_STARTED

  0% complete.

### TWENTY_FIVE_PERCENT_COMPLETED

    public static final ProjectStatus TWENTY_FIVE_PERCENT_COMPLETED

  25% complete.

### FIFTY_PERCENT_COMPLETED

    public static final ProjectStatus FIFTY_PERCENT_COMPLETED

  50% complete.

### SEVENTY_FIVE_PERCENT_COMPLETED

    public static final ProjectStatus SEVENTY_FIVE_PERCENT_COMPLETED

  75% complete.

### COMPLETED

    public static final ProjectStatus COMPLETED

  100% complete.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.